ZenHAX
https://zenhax.com/

Can someone please compile these Lua tools/binaries for Windows?
https://zenhax.com/viewtopic.php?f=17&t=8751
Page 1 of 1

Author:  LolHacksRule [ Wed Oct 17, 2018 3:13 am ]
Post subject:  Can someone please compile these Lua tools/binaries for Windows?

Please, it would be great on modding modern LUAs... https://github.com/viruscamp/luadec

Author:  aluigi [ Wed Oct 17, 2018 10:31 am ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Attached.

I know that you are probably going to use them on the Angry Birds decrypted lua files, but consider that you are going to get an error on them ("bad header in precompiled chunk").
For the files of that game you must use unluac that works perfectly (tested 1.2.2):
https://sourceforge.net/projects/unluac/files/

Attachments:
File comment: luadec51.exe
luadec52.exe
luadec53.exe

luadec.zip [398.69 KiB]
Downloaded 106 times

Author:  LolHacksRule [ Wed Oct 17, 2018 8:10 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Thanks so much! Also why I wanted 5.2.3 is because I wanted to modify Bezel Engine (Super Mario Party) LUAs. Also yes, I used unluac on Angry Birds LUAs fine.

Author:  LolHacksRule [ Sat Apr 06, 2019 1:54 am ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Where do I find libm5.dll? LUADEC52 needs it...

Author:  aluigi [ Sat Apr 06, 2019 11:06 am ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Really strange, I was sure to have compiled them as static.
Anyway attached.

Attachments:
libm5.zip [28.72 KiB]
Downloaded 65 times

Author:  LolHacksRule [ Sun Apr 07, 2019 3:42 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Thanks so much but next a x64 version if possible?

Author:  aluigi [ Sun Apr 07, 2019 4:51 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

why you need that?
I mean, is there any difference in the bytecode or anything else?

Author:  LolHacksRule [ Sun Apr 07, 2019 11:07 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

My other game uses 64-bit LUAs, and bytecode is different.

Author:  aluigi [ Sun Apr 07, 2019 11:17 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

Honestly I don't know if there is any compilation flag for compiling luadec with such support or if I only need to use Mingw64.
What I did the first time was just a plain compiling with Mingw32.
Maybe I will check the files again when I will have more time but currently I lack desire too :)

Author:  LolHacksRule [ Sun Sep 01, 2019 6:39 pm ]
Post subject:  Re: Can someone please compile this for Windows for LUA 5.1.4 and 5.2.3?

These two soon if possible for 32-bit? https://github.com/loosepolygon/luadec-5.0 https://github.com/cikilang168/luadec-5.0

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Limited
https://www.phpbb.com/